## org.jCharts.chartData.processors
Class NonStackedDataProcessor

    java.lang.Object
      org.jCharts.chartData.processors.NonStackedDataProcessor

    abstract class NonStackedDataProcessor

extends Object

Constructor Summary
`NonStackedDataProcessor()`

Method Summary
`static void` `processData(IAxisChartDataSet iAxisChartDataSet, AxisChartDataProcessor axisChartDataProcessor)` Does a single pass through the data set and calculates the min, max, and label dimensions.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NonStackedDataProcessor

    NonStackedDataProcessor()

Method Detail

### processData

    public static final void processData(IAxisChartDataSet iAxisChartDataSet,
                                         AxisChartDataProcessor axisChartDataProcessor)

  Does a single pass through the data set and calculates the min, max, and label dimensions. This stuff is grouped together so we can try to limit the number of passes through the data.

  Parameters:
    `iAxisChartDataSet` -
    `axisChartDataProcessor` -